"use strict";
/**
 *    Copyright 2018 Panjie Setiawan Wicaksono
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.basicAuth = function (token) { return ({
    name: 'Authorization',
    attach: 'header',
    prefix: 'Basic ',
    token: token,
}); };
exports.bearerAuth = function (token) { return ({
    name: 'Authorization',
    attach: 'header',
    prefix: 'Bearer ',
    token: token,
}); };
exports.cookieAuth = function () { return ({
    attach: 'cookie',
}); };
